<?php

use Lean\Console\Lib\DatabaseMigrations;

$path = dirname(__DIR__, 2);

return [
    'lean.console' => [
        'picea' => [
            'context' => "Lean\\Console\\View",

            'view' => [
                [
                    'path' => implode(DIRECTORY_SEPARATOR, [ $path , "view", '' ]),
                    'order' => 99,
                ],
            ],

            'asset' => [
                'source' => [
                    [
                        'path' => implode(DIRECTORY_SEPARATOR, [ $path, "asset", '' ]),
                        'order' => 10
                    ]
                ],
            ],
        ],

        'ulmus' => [],

        'tell' => [
            'json' => [
                [
                    'path' => getenv("PROJECT_PATH") . "/vendor/mcnd/lean-console/meta/i18n",
                    'order' => 99,
                ],
            ]
        ],

        'routes' => [
            'Lean\\Console\\Controller' => getenv("PROJECT_PATH") . "/vendor/mcnd/lean-console/src/Controller/",
        ],
    ],

    DatabaseMigrations::class => function($c) {
        return new DatabaseMigrations( $c->get(Lean\Lean::class)->getEntities() );
    },
];